petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFieldSplitSchurGetS

extract the MatSchurComplement object used by this PC in case it needs to be configured separately

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSchurGetS(PC pc,Mat *S)

Not collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

S -the Schur complement matrix

### Notes

This matrix should not be destroyed using MatDestroy(); rather, use PCFieldSplitSchurRestoreS().

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSchurPreType, PCFieldSplitSetSchurPre(), MatSchurComplement, PCFieldSplitSchurRestoreS()

### Level

advanced

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages